Bug 431727 - Selection of Dual Screen Spanning Desktops does not 'stick'
Selection of Dual Screen Spanning Desktops does not 'stick'
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-06 12:55 EST by Bob Gustafson
Modified: 2009-01-09 02:38 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:38:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/Xorg.setup.log (dated 2008-02-06 19:08) (4.72 KB, text/plain)
2008-02-07 13:10 EST, Bob Gustafson
no flags Details
/var/log/Xorg.0.log (dated 2008-02-07 11:41) (74.12 KB, text/plain)
2008-02-07 13:11 EST, Bob Gustafson
no flags Details
/etc/X11/xorg.conf (dated 2008-02-07 00:01) (1.51 KB, text/plain)
2008-02-07 13:13 EST, Bob Gustafson
no flags Details

  None (edit)
Description Bob Gustafson 2008-02-06 12:55:55 EST
Description of problem:

 Yesterday I finally got the Fedora8 update working and have switched over to
F8. It took a bit of fiddling with X11 before it would stay up in level 5.

I ran Application->System Tools->Software Updater several times (with a subset
of available updates selected initially - otherwise the dependency checking
stage is tooo slow).

After the system was running fine in Single Head mode, I attempted to configure
it for the dual heads I was running under Fedora 7. This was unsuccessful. The
easiest problem to specify here was my attempt to configure dual heads in
Spanning Desktop configuration. It only gives me Individual Desktops when it
restarts.

These are individual, but identical desktops - not useful.

Version-Release number of selected component (if applicable):

 Fedora 8 up2date as of this moment (but not rawhide)

How reproducible:

  I attempted to get Spanning Desktops many times using the GUI with no success.

Steps to Reproduce:

1. Have stable single head configuration up and running.
2. System->Administration->Display (select Dual Head tab)->Desktop
layout->(select Spanning Desktops)
3. Hmm, I am doing it on this system, and when I reconfig display, it is going
to want to restart X11, thus I loose this bug report.
4. Go to another system and key in this bug report up to this point.
5. Click OK on Display Settings dialog box.
  
Actual results:

  After logging out user1 and seeing the login: prompt on a non X11 screen, the
system restarted X11 and I had my login layout on both screens. The mouse
movement was duplicated on both screens.

I logged in as user1 and went to System->Administration->Display and see that
the GUI says my resolution settings are 800x600. This is not true as the screen
appears to be in 1920x1200 mode.

Going to the Dual Head tab, the GUI says resultion is 800x600 and the Desktop
layout is Spanning Desktops. This is not true.

The GUI does seem to have retained the proper Monitor type for the Second
Monitor (2407WFP analog), but has Unknown monitor for the Hardware Monitor Type.
Expected results:


Additional info:

System is a dual Xeon 2.4 Ghz with 3G ram
ATI Technologies Inc Radeon R200 QL (Radeon 8500 LE) (as detected..)
Monitor1: Dell 2405FPW (using DVI port on controller)
Monitor2: Dell 2407WPF (using analog port on controller)
Resolution: 1920x1200 on both screens

-----

It would also be helpful if the display configuration were written out to unique
file names. Since the process of fiddling with the configuration using the gui
involves multiple trials (and errors), having a historical record of trial
xorg.conf would be helpful.

Often in my trials, the resolution selections available fall back to 800x660 and
640x480.

(As I recall, when I configured FC7, I think I gave up on the GUI and just
edited the xorg.conf file with vim - I will do this now)
Comment 1 Matěj Cepl 2008-02-06 16:27:39 EST
OK, the truth is that we are all now in the wonderful new world of xrandr, so
Xinerama (which is what system-config-display uses) is not that usefull anymore.
Try play with xrandr(1) and tell us whether it helps.
Comment 2 Bob Gustafson 2008-02-06 17:11:23 EST
[user1@hoho2 ~]$ xrandr -v
Xlib:  extension "RANDR" missing on display ":0.0".
RandR extension missing

[user1@hoho2 ~]$ xrandr -q
Xlib:  extension "RANDR" missing on display ":0.0".
RandR extension missing
[user1@hoho2 ~]$ 


Not too promising..
Comment 3 Bob Gustafson 2008-02-06 18:36:34 EST
Doing a google found http://www.webservertalk.com/message2119714.html

Suggestion was to disable Xinerama in /etc/X11/xorg.conf and restart X. This
gives more reasonable information. I will click along a bit more.
Comment 4 Bob Gustafson 2008-02-06 18:53:10 EST
OK, now I followed along with
http://www.linuxquestions.org/questions/linux-hardware-18/dual-monitor-wspanning-desktop-no-longer-works-in-fedora-8-618011/

Comment #4 - suggested putting

Virtual 3840 1200

at end of screen 0 subsection (in subsection though)

I restarted X and then

xrandr --output VGA-0 --left-of DVI-0

I got diagnostic:

xrandr: screen cannot be larger than 1920x1200, maximum 1920 x 1200

-----

Maybe I can fake out a wider screen in xorg.conf
Comment 5 Bob Gustafson 2008-02-06 20:37:57 EST
I fiddled around a bit more, but only got as far as:

[root@hoho2 user1]# xrandr --verbose --output VGA-0 --left-of DVI-0
xrandr: screen cannot be larger than 1920x1200 (desired size 3840x1200)

The Google hits all say that putting in the Virtual line does the trick for them. 

Not me.
Comment 6 Matěj Cepl 2008-02-07 12:03:43 EST
OK, so we will probably need a little bit more information about your system.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 7 Bob Gustafson 2008-02-07 13:10:06 EST
Created attachment 294242 [details]
/var/log/Xorg.setup.log (dated 2008-02-06 19:08)
Comment 8 Bob Gustafson 2008-02-07 13:11:06 EST
Created attachment 294243 [details]
/var/log/Xorg.0.log (dated 2008-02-07 11:41)
Comment 9 Bob Gustafson 2008-02-07 13:13:03 EST
Created attachment 294244 [details]
/etc/X11/xorg.conf (dated 2008-02-07 00:01)
Comment 10 Bob Gustafson 2008-02-07 18:36:27 EST
I moved the xorg.conf aside and also the xorg.conf.backup and then restarted X.

I did not see any newly created /etc/X11/xorg.conf. It seems to be working on fumes.

[root@hoho2 user1]# cd /etc/X11
[root@hoho2 X11]# ls -lt | head
total 164
-rw-r--r-- 1 root root 1551 2008-02-07 00:01 xorg.conf.aside
lrwxrwxrwx 1 root root   18 2008-02-06 11:28 X -> ../../usr/bin/Xorg
drwxr-xr-x 2 root root 4096 2008-02-05 19:46 fontpath.d
drwxr-xr-x 2 root root 4096 2008-02-05 18:12 fs
drwxr-xr-x 4 root root 4096 2008-02-05 03:38 xinit
drwxr-xr-x 2 root root 4096 2008-02-05 03:29 twm
-rw-r--r-- 1 root root 2308 2007-10-29 13:46 xorg.conf.original-0
-rw-r--r-- 1 root root 2377 2007-10-29 13:39 xorg.conf.fglrx-1
-rw-r--r-- 1 root root 2306 2007-10-29 13:39 xorg.conf.fglrx-0
[root@hoho2 X11]# 

I will post this and then do a total reboot of this system.
(looking at the 2nd (VGA) screen, it is a duplicate of the first screen)
Comment 11 Bob Gustafson 2008-02-07 18:45:13 EST
Total reboot does not seem to create a new xorg.conf.

See ls with access times listed (-c)

[root@hoho2 X11]# ls -ltc | head
total 164
-rw-rw-r-- 1 root root 2974 2008-02-07 17:25 xorg.conf.backup.aside
-rw-r--r-- 1 root root 1551 2008-02-07 12:14 xorg.conf.aside
lrwxrwxrwx 1 root root   18 2008-02-06 11:28 X -> ../../usr/bin/Xorg
drwxr-xr-x 2 root root 4096 2008-02-05 19:46 fontpath.d
drwxr-xr-x 2 root root 4096 2008-02-05 18:12 fs
-rwxr-xr-x 1 root root 1052 2008-02-05 03:46 prefdm
drwxr-xr-x 4 root root 4096 2008-02-05 03:38 xinit
-rw-r--r-- 1 root root  547 2008-02-05 03:38 Xmodmap
-rw-r--r-- 1 root root  492 2008-02-05 03:38 Xresources
[root@hoho2 X11]# 

Let me put all of the xorg* files into a sub-directory and try to reboot again.

Comment 12 Bob Gustafson 2008-02-07 18:46:27 EST
[root@hoho2 X11]# mkdir BUG
[root@hoho2 X11]# mv xorg* BUG
[root@hoho2 X11]# ls -lt | head
total 84
drwxr-xr-x 2 root root 4096 2008-02-07 17:45 BUG
lrwxrwxrwx 1 root root   18 2008-02-06 11:28 X -> ../../usr/bin/Xorg
drwxr-xr-x 2 root root 4096 2008-02-05 19:46 fontpath.d
drwxr-xr-x 2 root root 4096 2008-02-05 18:12 fs
drwxr-xr-x 4 root root 4096 2008-02-05 03:38 xinit
drwxr-xr-x 2 root root 4096 2008-02-05 03:29 twm
-rw-r--r-- 1 root root  547 2007-10-12 14:22 Xmodmap
-rw-r--r-- 1 root root  492 2007-10-12 14:22 Xresources
-rwxr-xr-x 1 root root 1052 2007-10-09 16:06 prefdm
[root@hoho2 X11]# 


Will now reboot..
Comment 13 Bob Gustafson 2008-02-07 18:55:22 EST
I don't see any new xorg.conf.

What file would you like to see?

[root@hoho2 user1]# cd /etc/X11
[root@hoho2 X11]# ls -ltc | head
total 84
drwxr-xr-x 2 root root 4096 2008-02-07 17:45 BUG
lrwxrwxrwx 1 root root   18 2008-02-06 11:28 X -> ../../usr/bin/Xorg
drwxr-xr-x 2 root root 4096 2008-02-05 19:46 fontpath.d
drwxr-xr-x 2 root root 4096 2008-02-05 18:12 fs
-rwxr-xr-x 1 root root 1052 2008-02-05 03:46 prefdm
drwxr-xr-x 4 root root 4096 2008-02-05 03:38 xinit
-rw-r--r-- 1 root root  547 2008-02-05 03:38 Xmodmap
-rw-r--r-- 1 root root  492 2008-02-05 03:38 Xresources
drwxr-xr-x 2 root root 4096 2008-02-05 03:29 twm

Note -c in command below
[root@hoho2 X11]# ls -ltc BUG
total 88
-rw-r--r-- 1 root root 1551 2008-02-07 17:45 xorg.conf.aside
-rw-rw-r-- 1 root root 2974 2008-02-07 17:45 xorg.conf.backup.aside
-rw-r--r-- 1 root root 1939 2008-02-07 17:45 xorg.conf.e1
-rw-r--r-- 1 root root 1963 2008-02-07 17:45 xorg.conf.e2
-rw-r--r-- 1 root root 2308 2008-02-07 17:45 xorg.conf.e3
-rw-r--r-- 1 root root 2308 2008-02-07 17:45 xorg.conf.e4
-rw-r--r-- 1 root root 2306 2008-02-07 17:45 xorg.conf.fglrx-0
-rw-r--r-- 1 root root 2377 2008-02-07 17:45 xorg.conf.fglrx-1
-rw-r--r-- 1 root root 2308 2008-02-07 17:45 xorg.conf.original-0
-rw-rw-r-- 1 root root 1538 2008-02-07 17:45 xorg.conf.w1
-rw-r--r-- 1 root root 1526 2008-02-07 17:45 xorg.conf.works

List without the -c
[root@hoho2 X11]# ls -lt BUG
total 88
-rw-r--r-- 1 root root 1551 2008-02-07 00:01 xorg.conf.aside
-rw-r--r-- 1 root root 2308 2007-10-29 13:46 xorg.conf.original-0
-rw-r--r-- 1 root root 2377 2007-10-29 13:39 xorg.conf.fglrx-1
-rw-r--r-- 1 root root 2306 2007-10-29 13:39 xorg.conf.fglrx-0
-rw-r--r-- 1 root root 2308 2007-10-29 13:29 xorg.conf.e4
-rw-r--r-- 1 root root 2308 2007-10-27 10:35 xorg.conf.e3
-rw-r--r-- 1 root root 1963 2007-10-27 10:26 xorg.conf.e2
-rw-r--r-- 1 root root 1939 2007-10-27 10:20 xorg.conf.e1
-rw-rw-r-- 1 root root 1538 2007-10-27 09:36 xorg.conf.w1
-rw-r--r-- 1 root root 1526 2007-10-27 07:47 xorg.conf.works
-rw-rw-r-- 1 root root 2974 2006-08-21 15:03 xorg.conf.backup.aside
[root@hoho2 X11]# 

Comment 14 Matěj Cepl 2008-02-08 08:40:20 EST
That's perfectly OK, that there is no xorg.conf -- don't panic, magic of Xorg is
now sufficient just to find out what's needed without any bloody stinking
xorg.conf ;-).
Comment 15 Bob Gustafson 2008-02-08 09:34:14 EST
Yeah OK, no stinking xorg.conf

However, my problem is that I have a stinking mirror in my second monitor.

I want Spanning Desktops. Where do I tell the stinking xorg what I want?
Comment 16 Bug Zapper 2008-11-26 04:43:01 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Bug Zapper 2009-01-09 02:38:58 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.